classification
Title: Update glossary documentation for the term 'attribute'
Type: Stage:
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: docs@python, eric.snow, orsenthil, r.david.murray, rhettinger
Priority: normal Keywords:

Created on 2011-07-04 21:24 by orsenthil, last changed 2011-07-10 22:58 by rhettinger. This issue is now closed.

Messages (4)
msg139809 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-07-04 21:24
Update the term 'attribute' in the glossary http://docs.python.org/dev/glossary.html#term-attribute so that the reader can understand that the term attribute in Python can mean both 'data-attribute' and a 'callable' method.
msg140075 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-07-10 11:18
The current glossary entry is fine and encompasses was is ordinarily meant by attribute as distinct from a method.

We sometimes use the term loosely to mean any value whether callable or not.  And sometimes it is used loosely to mean anything that can be looked up with getattr().

Attempts to over-define it will be incorrect for some uses.  Also, it is likely to make the glossary entry less understandable.
msg140076 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-07-10 12:44
As an experienced Python programmer, I think of 'attribute' as meaning any attribute (method or non-method) of an object or class.  I sometimes do use it imprecisely (to my mind) to mean "non-method attribute", and it is usually clear from context what I mean.

Raymond, if attribute means only non-method attributes, what is the word for the set of things that contains both method and non-method...ah, attributes...of an object?

(I thought we already had this discussion both on python-dev and another issue....)

Hmm.  Actually looking at the linked entry, it looks correct to me (it covers both method and non-method attributes as far as I can see).  It might be clearer if it mentioned that a value can be anything, including a method.
msg140078 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-07-10 12:54
OK, I found the other issue and it looks like we agreed to use 'attributes and methods' where the reference was inclusive.  I still think that it is less precise to think this way, but it is clearer exposition given the lack of a good term for non-method attributes.  So now I agree that we should not change the existing glossary definition of attribute.
History
Date User Action Args
2011-07-10 22:58:59rhettingersetstatus: open -> closed
resolution: rejected
2011-07-10 12:54:04r.david.murraysetmessages: + msg140078
2011-07-10 12:44:20r.david.murraysetnosy: + r.david.murray
messages: + msg140076
2011-07-10 11:18:16rhettingersetassignee: docs@python -> rhettinger

messages: + msg140075
nosy: + rhettinger
2011-07-09 20:54:52eric.snowsetnosy: + eric.snow
2011-07-04 21:24:34orsenthilcreate